classification
Title: Incorrect docstring on ConfigParser.items()
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.3, Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: lukasz.langa Nosy List: chris.jerdonek, ezio.melotti, lukasz.langa, nbtrap, python-dev
Priority: normal Keywords: patch

Created on 2012-08-29 01:12 by nbtrap, last changed 2012-12-31 01:32 by lukasz.langa. This issue is now closed.

Files
File name Uploaded Description Edit
cpython.patch nbtrap, 2012-08-29 01:12 Docstring patch review
Messages (7)
msg169324 - (view) Author: Nathan Trapuzzano (nbtrap) Date: 2012-08-29 01:12
The docstring on ConfigParser.items() is self-evidently bass ackwards. Fix is in attached patch.
msg169381 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-08-29 13:53
This is a nit, but there should be two spaces after the period:

+        each option in the section. Otherwise, return a list of tuples with
msg169383 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-08-29 13:59
While I like to have two spaces after the period, this convenction is not enforced, and it usually depends on the style used in the file.
If the double space is used elsewhere in the same document, then it should be preserved, otherwise using a single space is OK too.
msg169384 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-08-29 14:05
> If the double space is used elsewhere in the same document,

You can see one above the change in the patch file.
msg169386 - (view) Author: Nathan Trapuzzano (nbtrap) Date: 2012-08-29 14:23
Looks like the file has about an equal number of single- and double-spaces after periods.
msg178635 - (view) Author: Roundup Robot (python-dev) Date: 2012-12-31 01:29
New changeset 850503a117a9 by Łukasz Langa in branch '3.2':
Fixes issue #15803: incorrect `ConfigParser.items()` docstring
http://hg.python.org/cpython/rev/850503a117a9

New changeset cc277b25eae7 by Łukasz Langa in branch '3.3':
Merged fix for #15803 from 3.2
http://hg.python.org/cpython/rev/cc277b25eae7

New changeset b4975cb4be95 by Łukasz Langa in branch 'default':
Merged fix for #15803 from 3.2 through 3.3
http://hg.python.org/cpython/rev/b4975cb4be95
msg178636 - (view) Author: Łukasz Langa (lukasz.langa) (Python committer) Date: 2012-12-31 01:31
Patch committed. Thanks for your report, Nathan.
History
Date User Action Args
2012-12-31 01:32:10lukasz.langasetresolution: fixed
stage: patch review -> resolved
2012-12-31 01:31:48lukasz.langasetstatus: open -> closed

messages: + msg178636
2012-12-31 01:29:42python-devsetnosy: + python-dev
messages: + msg178635
2012-09-11 11:00:46lukasz.langasetassignee: lukasz.langa
2012-08-29 14:23:07nbtrapsetmessages: + msg169386
2012-08-29 14:05:54chris.jerdoneksetmessages: + msg169384
2012-08-29 13:59:06ezio.melottisetnosy: + ezio.melotti
messages: + msg169383
2012-08-29 13:53:22chris.jerdoneksetnosy: + chris.jerdonek
messages: + msg169381
2012-08-29 13:47:17r.david.murraysettype: enhancement -> behavior
stage: patch review
2012-08-29 13:47:03r.david.murraysetnosy: + lukasz.langa
2012-08-29 01:12:24nbtrapcreate